> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create knowledgebase



## OpenAPI

````yaml post /api/v1/knowledgebase
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/knowledgebase:
    post:
      tags:
        - Knowledgebase
      summary: Create knowledgebase
      operationId: KnowledgeBaseController_createKnowledgeBase
      parameters: []
      requestBody:
        required: true
        description: Input data for creating a new knowledge base
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKBInput'
      responses:
        '200':
          description: Created knowledge base
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBase'
      security:
        - basic: []
components:
  schemas:
    CreateKBInput:
      type: object
      properties:
        name:
          type: string
          description: The name of the knowledge base
          example: How to reset my password
          deprecated: true
        type:
          type: string
          description: The type of the knowledge base
          example: faq
        agentIds:
          description: >-
            The list of agent IDs of the knowledge base that needs to be given
            access to this knowledgebase
          example:
            - a8c87faa-219c-4fa9-bbc0-8acf826d9e6a
            - 97e07544-bf7a-4af6-864c-07736fffb5c2
          type: array
          items:
            type: string
        title:
          type: string
          description: The title of the knowledge base
          example: How to reset my password
        text:
          type: string
          description: The textual content of the knowledge base
          example: >-
            Lorem Ipsum is simply dummy text of the printing and typesetting
            industry. Lorem Ipsum has been the industry's standard dummy text
            ever since the 1500s
        description:
          type: string
          description: The description of the knowledge base
          example: This is a knowledge base
        urls:
          description: >-
            The list of website URLs of the knowledge base, please see:
            (knowledgebase/extract-urls) for getting these urls
          example:
            - https://example.com/knowledge-base
          type: array
          items:
            type: string
        refreshFrequency:
          type: string
          description: The refresh frequency of the knowledge base
          example: manual
      required:
        - name
        - type
        - agentIds
        - title
        - text
        - description
        - urls
        - refreshFrequency
    KnowledgeBase:
      type: object
      properties:
        name:
          type: string
          description: The name of the knowledge base
          example: How to reset my password
          deprecated: true
        type:
          type: string
          description: The type of the knowledge base
          example: faq
        url:
          type: string
          description: The URL of the knowledge base
          example: https://example.com/knowledge-base
          deprecated: true
        urls:
          description: The list of website URLs of the knowledge base
          example:
            - https://example.com/knowledge-base
          type: array
          items:
            type: string
        agents:
          description: The list of agent IDs of the knowledge base
          example:
            - a8c87faa-219c-4fa9-bbc0-8acf826d9e6a
            - 97e07544-bf7a-4af6-864c-07736fffb5c2
          type: array
          items:
            type: string
        title:
          type: string
          description: The title of the knowledge base
          example: How to reset my password
        status:
          type: string
          description: The status of the knowledge base
          example: active
        description:
          type: string
          description: The description of the knowledge base
          example: This is a description of the knowledge base
        text:
          type: string
          description: The text of the knowledge base
          example: This is a text of the knowledge base
        isEveryone:
          type: boolean
          description: Is the knowledge base accessible to everyone
          example: false
        refreshFrequency:
          type: string
          description: The refresh frequency of the knowledge base
          example: 1h
        workspace:
          type: string
          description: The UUID of the workspace
          example: 34319b9a-625a-4eef-a554-7ed0d27fce6b
      required:
        - name
        - type
        - url
        - urls
        - agents
        - title
        - status
        - description
        - text
        - isEveryone
        - refreshFrequency
        - workspace
  securitySchemes:
    basic:
      type: http
      scheme: basic

````